Index: GraphicsMagick-1.2.5/coders/png.c
===================================================================
--- GraphicsMagick-1.2.5.orig/coders/png.c	2018-01-19 20:08:30.737576639 +0100
+++ GraphicsMagick-1.2.5/coders/png.c	2018-01-19 20:29:20.474317244 +0100
@@ -8626,10 +9463,13 @@ static unsigned int WriteMNGImage(const
             {
               (void) LogMagickEvent(CoderEvent,GetMagickModule(),
                                     "     TERM delay: %lu",
-                                    (png_uint_32) (mng_info->ticks_per_second*final_delay/100));
+                                    (unsigned long)
+                                    (mng_info->ticks_per_second*
+                                    final_delay/100));
               if (image->iterations == 0)
                 (void) LogMagickEvent(CoderEvent,GetMagickModule(),
-                                      "     TERM iterations: %lu",PNG_MAX_UINT);
+                                      "     TERM iterations: %lu",
+                                      (unsigned long)PNG_MAX_UINT);
               else
                 (void) LogMagickEvent(CoderEvent,GetMagickModule(),
                                       "     Image iterations: %lu",
@@ -8656,7 +9496,7 @@ static unsigned int WriteMNGImage(const
             chunk[4]=(int) PerceptualIntent-1;
           (void) WriteBlob(image,5,(char *) chunk);
           (void) WriteBlobMSBULong(image,crc32(0,chunk,5));
-          mng_info->have_write_global_srgb=True;
+          mng_info->have_write_global_srgb=MagickTrue;
         }
       else
         {
@@ -8671,7 +9511,7 @@ static unsigned int WriteMNGImage(const
               PNGLong(chunk+4,(unsigned long) (100000*image->gamma+0.5));
               (void) WriteBlob(image,8,(char *) chunk);
               (void) WriteBlobMSBULong(image,crc32(0,chunk,8));
-              mng_info->have_write_global_gama=True;
+              mng_info->have_write_global_gama=MagickTrue;
             }
           if (mng_info->equal_chrms)
             {
@@ -8698,7 +9538,7 @@ static unsigned int WriteMNGImage(const
               PNGLong(chunk+32,(unsigned long) (100000*primary.y+0.5));
               (void) WriteBlob(image,36,(char *) chunk);
               (void) WriteBlobMSBULong(image,crc32(0,chunk,36));
-              mng_info->have_write_global_chrm=True;
+              mng_info->have_write_global_chrm=MagickTrue;
             }
         }
       if (image->x_resolution && image->y_resolution && mng_info->equal_physs)
@@ -8741,11 +9581,14 @@ static unsigned int WriteMNGImage(const
         Write MNG BACK chunk and global bKGD chunk, if the image is transparent
         or does not cover the entire frame.
       */
-      if (write_mng && (image->matte || image->page.x > 0 || image->page.y > 0 ||
-                        (image->page.width && (image->page.width+image->page.x <
-                                               mng_info->page.width))
-                        || (image->page.height && (image->page.height+image->page.y
-                                                   < mng_info->page.height))))
+      if (write_mng && (image->matte || image->page.x > 0 ||
+                        image->page.y > 0 ||
+                        (image->page.width &&
+                        (image->page.width+image->page.x <
+                        mng_info->page.width))
+                        || (image->page.height &&
+                        (image->page.height+image->page.y <
+                        mng_info->page.height))))
         {
           (void) WriteBlobMSBULong(image,6L);
           PNGType(chunk,mng_BACK);
@@ -8790,7 +9633,7 @@ static unsigned int WriteMNGImage(const
             }
           (void) WriteBlob(image,data_length+4,(char *) chunk);
           (void) WriteBlobMSBULong(image,crc32(0,chunk,(int) (data_length+4)));
-          mng_info->have_write_global_plte=True;
+          mng_info->have_write_global_plte=MagickTrue;
         }
 #endif
     }
@@ -8798,10 +9641,13 @@ static unsigned int WriteMNGImage(const
   mng_info->delay=0;
 #if defined(PNG_WRITE_EMPTY_PLTE_SUPPORTED) ||  \
   defined(PNG_MNG_FEATURES_SUPPORTED)
-  mng_info->equal_palettes=False;
+  mng_info->equal_palettes=MagickFalse;
 #endif
   do
     {
+      unsigned char
+        chunk[800];
+
       if (mng_info->adjoin)
         {
 #if defined(PNG_WRITE_EMPTY_PLTE_SUPPORTED) ||  \
@@ -8815,12 +9661,13 @@ static unsigned int WriteMNGImage(const
               if (mng_info->IsPalette)
                 {
                   /*
-                    When equal_palettes is true, this image has the same palette
-                    as the previous PseudoClass image
+                    When equal_palettes is true, this image has the
+                    same palette as the previous PseudoClass image
                   */
                   mng_info->have_write_global_plte=mng_info->equal_palettes;
                   mng_info->equal_palettes=PalettesAreEqual(image,image->next);
-                  if (mng_info->equal_palettes && !mng_info->have_write_global_plte)
+                  if (mng_info->equal_palettes &&
+                      !mng_info->have_write_global_plte)
                     {
                       /*
                         Write MNG PLTE chunk
@@ -8834,18 +9681,22 @@ static unsigned int WriteMNGImage(const
                       LogPNGChunk(logging,mng_PLTE,data_length);
                       for (i=0; i < (long) image->colors; i++)
                         {
-                          chunk[4+i*3]=ScaleQuantumToChar(image->colormap[i].red);
-                          chunk[5+i*3]=ScaleQuantumToChar(image->colormap[i].green);
-                          chunk[6+i*3]=ScaleQuantumToChar(image->colormap[i].blue);
+                          chunk[4+i*3]=
+                             ScaleQuantumToChar(image->colormap[i].red);
+                          chunk[5+i*3]=
+                             ScaleQuantumToChar(image->colormap[i].green);
+                          chunk[6+i*3]=
+                             ScaleQuantumToChar(image->colormap[i].blue);
                         }
                       (void) WriteBlob(image,data_length+4,(char *) chunk);
-                      (void) WriteBlobMSBULong(image,crc32(0,chunk,
-                                                           (int) (data_length+4)));
-                      mng_info->have_write_global_plte=True;
+                      (void) WriteBlobMSBULong(image,
+                                               crc32(0,chunk,(int)
+                                               (data_length+4)));
+                      mng_info->have_write_global_plte=MagickTrue;
                     }
                 }
               else
-                mng_info->have_write_global_plte=False;
+                mng_info->have_write_global_plte=MagickFalse;
             }
 #endif
           if (need_defi)
@@ -8892,9 +9743,6 @@ static unsigned int WriteMNGImage(const
           ((image->delay != mng_info->delay) ||
            (mng_info->framing_mode != mng_info->old_framing_mode)))
         {
-          unsigned char
-            chunk[16];
-
           if (image->delay == mng_info->delay)
             {
               /*
@@ -8953,18 +9801,21 @@ static unsigned int WriteMNGImage(const
         {
           MngInfoFreeStruct(mng_info,&have_mng_structure);
           CloseBlob(image);
-          return (False);
+          return (MagickFail);
         }
       (void) CatchImageException(image);
       if (image->next == (Image *) NULL)
         break;
       image=SyncNextImageInList(image);
       if (!MagickMonitor(SaveImagesTag,scene++,GetImageListLength(image),
-                         &image->exception))
-        break;
+          &image->exception))
+          break;
     } while (mng_info->adjoin);
   if (write_mng)
     {
+      unsigned char
+        chunk[16];
+
       while (image->previous != (Image *) NULL)
         image=image->previous;
       /*
@@ -8983,9 +9834,9 @@ static unsigned int WriteMNGImage(const
   MngInfoFreeStruct(mng_info,&have_mng_structure);
   if (logging)
     (void) LogMagickEvent(CoderEvent,GetMagickModule(),"exit WriteMNGImage()");
-  return(True);
+  return(MagickPass);
 }
-#else /* PNG_LIBPNG_VER > 95 */
+#else /* PNG_LIBPNG_VER > 10011 */
 static unsigned int WritePNGImage(const ImageInfo *image_info,Image *image)
 {
   image=image;
@@ -8997,5 +9848,5 @@ static unsigned int WriteMNGImage(const
 {
   return (WritePNGImage(image_info,image));
 }
-#endif /* PNG_LIBPNG_VER > 95 */
+#endif /* PNG_LIBPNG_VER > 10011 */
 #endif
